This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 693518 - Move rgmanager S/Lang from resource-agents to rgmanager
Move rgmanager S/Lang from resource-agents to rgmanager
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: resource-agents (Show other bugs)
6.0
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Fabio Massimo Di Nitto
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-04 17:10 EDT by Lon Hohberger
Modified: 2011-12-06 07:02 EST (History)
5 users (show)

See Also:
Fixed In Version: resource-agents-3.9.1-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 693517
Environment:
Last Closed: 2011-12-06 07:02:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lon Hohberger 2011-04-04 17:10:35 EDT
+++ This bug was initially created as a clone of Bug #693517 +++

Description of problem:

The s/lang scripts which implement internal functionality for rgmanager when central_processing is in use is in the wrong package.


Version-Release number of selected component (if applicable): 3.0.12-*


How reproducible: 100%


Steps to Reproduce:
1. Install rgmanager
2. rpm -ql rgmanager | grep default_event_script
  
Actual results:

default_event_script.sl and follow_service.sl should be in the manifest, but are missing.


Expected results:

These files are in resource-agents.
Comment 1 Fabio Massimo Di Nitto 2011-05-19 05:27:36 EDT
this is done upstream. See #693517 for commit references
Comment 3 Fabio Massimo Di Nitto 2011-06-21 13:55:20 EDT
Unit test results:

(pre-upgrade ownership)
[root@rhel6-node1 rpms]# rpm -q -f /usr/share/cluster/*.sl
resource-agents-3.0.12-22.el6.i686
resource-agents-3.0.12-22.el6.i686

Verify update pulls in both packages at the same time

[root@rhel6-node1 ~]# yum update
Resolving Dependencies
--> Running transaction check
---> Package resource-agents.i686 0:3.0.12-22.el6 will be obsoleted
--> Processing Dependency: resource-agents for package: pacemaker-1.1.5-5.el6.i686
---> Package rgmanager.i686 0:3.0.12-11.el6 will be updated
---> Package rgmanager.i686 0:3.0.12.1-1.el6 will be obsoleting
--> Running transaction check
---> Package resource-agents.i686 0:3.0.12-22.el6 will be updated
---> Package resource-agents.i686 0:3.9.1-1.el6 will be an update
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                 Arch         Version                 Repository   Size
================================================================================
Installing:
 rgmanager               i686         3.0.12.1-1.el6          foo         165 k
     replacing  resource-agents.i686 3.0.12-22.el6
Updating for dependencies:
 resource-agents         i686         3.9.1-1.el6             foo         457 k

Transaction Summary
================================================================================
Install       1 Package(s)
Upgrade       1 Package(s)

Verify that requesting upgrade of one will pull in the other

[root@rhel6-node1 ~]# yum update resource-agents
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package resource-agents.i686 0:3.0.12-22.el6 will be obsoleted
--> Processing Dependency: resource-agents for package: pacemaker-1.1.5-5.el6.i686
---> Package rgmanager.i686 0:3.0.12-11.el6 will be updated
---> Package rgmanager.i686 0:3.0.12.1-1.el6 will be obsoleting
--> Running transaction check
---> Package resource-agents.i686 0:3.0.12-22.el6 will be updated
---> Package resource-agents.i686 0:3.9.1-1.el6 will be an update
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                 Arch         Version                 Repository   Size
================================================================================
Installing:
 rgmanager               i686         3.0.12.1-1.el6          foo         165 k
     replacing  resource-agents.i686 3.0.12-22.el6
Updating for dependencies:
 resource-agents         i686         3.9.1-1.el6             foo         457 k

Transaction Summary
================================================================================
Install       1 Package(s)
Upgrade       1 Package(s)

Verify that requesting upgrade of one will pull in the other

[root@rhel6-node1 ~]# yum update rgmanager
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package resource-agents.i686 0:3.0.12-22.el6 will be obsoleted
--> Processing Dependency: resource-agents for package: pacemaker-1.1.5-5.el6.i686
---> Package rgmanager.i686 0:3.0.12-11.el6 will be updated
---> Package rgmanager.i686 0:3.0.12.1-1.el6 will be obsoleting
--> Running transaction check
---> Package resource-agents.i686 0:3.0.12-22.el6 will be updated
---> Package resource-agents.i686 0:3.9.1-1.el6 will be an update
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                 Arch         Version                 Repository   Size
================================================================================
Installing:
 rgmanager               i686         3.0.12.1-1.el6          foo         165 k
     replacing  resource-agents.i686 3.0.12-22.el6
Updating for dependencies:
 resource-agents         i686         3.9.1-1.el6             foo         457 k

Transaction Summary
================================================================================
Install       1 Package(s)
Upgrade       1 Package(s)


Post update ownership of files:
[root@rhel6-node1 rpms]# rpm -q -f /usr/share/cluster/*.sl
rgmanager-3.0.12.1-1.el6.i686
rgmanager-3.0.12.1-1.el6.i686

------

(pre-update ownership)
[root@rhel6-node2 rpms]# rpm -q -f /usr/share/cluster/*.sl
resource-agents-3.0.12-22.el6.x86_64
resource-agents-3.0.12-22.el6.x86_64

Verify that packages will refuse to install manually unless both specified

[root@rhel6-node2 rpms]# rpm -U resource-agents-3.9.1-1.el6.x86_64.rpm
error: Failed dependencies:
        rgmanager < 3.0.12.1 conflicts with resource-agents-3.9.1-1.el6.x86_64

[root@rhel6-node2 rpms]# rpm -U rgmanager-3.0.12.1-1.el6.x86_64.rpm
error: Failed dependencies:
        resource-agents >= 3.9.1-1 is needed by rgmanager-3.0.12.1-1.el6.x86_64
        resource-agents is needed by (installed) pacemaker-1.1.5-5.el6.x86_64

[root@rhel6-node2 rpms]# rpm -U rgmanager-3.0.12.1-1.el6.x86_64.rpm resource-agents-3.9.1-1.el6.x86_64.rpm
[root@rhel6-node2 rpms]#

Ownership after update.

[root@rhel6-node2 rpms]# rpm -q -f /usr/share/cluster/*.sl
rgmanager-3.0.12.1-1.el6.x86_64
rgmanager-3.0.12.1-1.el6.x86_64
Comment 6 errata-xmlrpc 2011-12-06 07:02:48 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1580.html

Note You need to log in before you can comment on or make changes to this bug.